# Asterisk Project : Asterisk 12 Application_Gosub

Added by wikibot , edited by wikibot on Aug 29, 2013

# Gosub()

### Synopsis

Jump to label, saving return address.

### Description

Jumps to the label specified, saving the return address.

### Syntax

    Gosub(context,extenarg1[...]argN)

##### Arguments

- `context`
- `exten`
- `priority`
  - `arg1`
  - `argN`

### See Also

- Asterisk 12 Application_GosubIf
- Asterisk 12 Application_Macro
- Asterisk 12 Application_Goto
- Asterisk 12 Application_Return
- Asterisk 12 Application_StackPop

### Import Version

This documentation was imported from Asterisk Version Unknown